class Flac123 < Formula
  desc "Command-line program for playing FLAC audio files"
  homepage "https://github.com/flac123/flac123"
  url "https://github.com/flac123/flac123/archive/refs/tags/v2.1.1.tar.gz"
  sha256 "c09676dce51383ce4fe7a553e67f4369918cf40ee6d922e585e50c11bce9e227"
  license "GPL-2.0-or-later"

  depends_on "autoconf" => :build
  depends_on "automake" => :build

  depends_on "flac"
  depends_on "libao"
  depends_on "libogg"
  depends_on "popt"

  def install
    ENV["ACLOCAL"] = "aclocal"
    ENV["AUTOMAKE"] = "automake"
    system "aclocal"
    system "automake", "--add-missing"
    system "./configure", "--prefix=#{prefix}"
    system "make", "install", "CC=#{ENV.cc}"
  end

  test do
    driver = OS.mac? ? "macosx" : "oss"
    system "#{bin}/flac123", "-d=#{driver}"
  end
end
